import { Specs } from '..';
import { TreeNode, TreeNodeType } from '../../spec/parser';
export declare function propValue<T>({ value }: {
    value: T;
}): T;
export declare function mapTree(values: string[]): TreeNode[];
export declare const MAP_TYPE_EXPRESSION_TO_LITERAL: {
    5: TreeNodeType;
    6: TreeNodeType;
};
export declare const randomLiteralType: () => TreeNodeType;
export declare const getTreeNodeTypeName: (tree_node_type: TreeNodeType) => "string" | "number" | "boolean" | "string{}" | "number[]";
export declare function randomValueOfObjectLiteral(specs: Specs, type_tree: TreeNode): string;
export declare function randomTreeOfObjectLiteral(specs: Specs, type_tree: TreeNode): TreeNode;
export declare function randomValueOfArrayLiteral(specs: Specs, tree_type: TreeNode): string;
export declare function randomTreeOfArrayLiteral(specs: Specs, tree_type: TreeNode): TreeNode;
export declare function randomValueOfTypeExpression(specs: Specs, type_tree: TreeNode, delimiter_open: string, delimiter_close: string): string;
export declare function randomTreeOfTypeExpression(specs: Specs, type_tree: TreeNode, delimiter_open: string, delimiter_close: string): TreeNode;
export declare function randomValueOfOr(specs: Specs, tree: TreeNode): string;
export declare function randomTreeOfOr(specs: Specs, tree: TreeNode): TreeNode;
export declare function randomValueOfAnd(type_tree: TreeNode): string;
export declare function randomTreeOfAnd(type_tree: TreeNode): TreeNode;
export declare function randomValueOfType(specs: Specs, type_tree: TreeNode): string;
export declare function randomTreeOfType(specs: Specs, type_tree: TreeNode): TreeNode;
export declare function randomTreeOfTypeLiteral(specs: Specs, type: TreeNodeType): TreeNode;
export declare function randomValueOfTypeLiteral(specs: Specs, type_tree: TreeNodeType): string;
